LMS API Documentation v23.11.0

Loading...
Searching...
No Matches
Macros
Message logging level
Version and update functions

## Macros
#define | LMS_LOG_CRITICAL 0
| A critical error. The application might not be able to continue running successfully.
#define | LMS_LOG_ERROR 1
| An error message . An operation did not complete successfully.
#define | LMS_LOG_WARNING 2
| A warning message. An operation completed with an unexpected result.
#define | LMS_LOG_INFO 3
| An informational message, usually denoting the successful completion of an operation.
#define | LMS_LOG_DEBUG 4
| A debugging message.

## Detailed Description

## Macro Definition Documentation

## ◆ LMS_LOG_CRITICAL

#define LMS_LOG_CRITICAL 0

A critical error. The application might not be able to continue running successfully.

Definition at line 1331 of file LimeSuite.h.

## ◆ LMS_LOG_DEBUG

#define LMS_LOG_DEBUG 4

A debugging message.

Definition at line 1339 of file LimeSuite.h.

## ◆ LMS_LOG_ERROR

#define LMS_LOG_ERROR 1

An error message . An operation did not complete successfully.

Definition at line 1333 of file LimeSuite.h.

## ◆ LMS_LOG_INFO

#define LMS_LOG_INFO 3

An informational message, usually denoting the successful completion of an operation.

Definition at line 1337 of file LimeSuite.h.

## ◆ LMS_LOG_WARNING

#define LMS_LOG_WARNING 2

A warning message. An operation completed with an unexpected result.

Definition at line 1335 of file LimeSuite.h.